% --- Source file: CRAVE.Rd ---
\name{CRAVE}
\alias{CRAVE}
\docType{package}
\title{
 CRaVe
}
\description{
An R package for detecting associations between rare variant SNPs and phenotypes in genome-wide association studies.
}
\details{The main function is \code{\link{crave}}. This function requires that the data be stored in two files.
One file for the genotype data and one file for the covariate and outcome data. The genotype file must be either in TPED or VCF
format. The phenotype file must be uncompressed. The package includes 13 different tests for identifying associations.
In addition, user-defined tests can be written as R functions or C functions. The package also includes the hg19 data base of 
gene regions stored in the sampleData directory. This package includes the zlib library (http://zlib.net/) for reading
genotype files compressed with gzip.}
\references{Ferguson J, Wheeler W, Fu Y, Prokunina L, Zhao H and Sampson J.
 Tests of Association for Rare Variants: A Common Framework }
%\author{}
\keyword{package}