/***************************************************************
                                                             
                    CRAVE                  
                                                              
 This file is distributed under the GNU General Public        
 License, Version 2. See the file COPYING.txt for more    
 details                                                      
                                                              
****************************************************************/

#include "./crave.h"

/* Example test function. Modify the code below. Remember that in C, the first array index is 0 not 1.
   The function names c1-c5, input arguments and return type (double) cannot be changed.
 */
double c1(delta, cov, cor, invcor, nsnp)
double *delta;     /* Vector of length nsnp */
double **cov;      /* Genotype covariance matrix of dimension nsnp by nsnp */
double **cor;      /* Genotype correlation matrix of dimension nsnp by nsnp */
double **invcor;   /* Inverse correlation matrix of dimension nsnp by nsnp */
int nsnp;
{
  int i, j;
  double sum, test;

  sum = 0.0;
  for (i=0; i<nsnp; i++) {
    for (j=0; j<nsnp; j++) sum = sum + delta[i]*cor[i][j]*cov[i][j]*invcor[i][j];
  }
  test = sum/nsnp;

  return(test);
} 

double c2(delta, cov, cor, invcor, nsnp)
double *delta;     
double **cov;     
double **cor;      
double **invcor;   
int nsnp;
{
  return(1.0);
} 

double c3(delta, cov, cor, invcor, nsnp)
double *delta;     
double **cov;     
double **cor;      
double **invcor;   
int nsnp;
{
  return(1.0);
} 

double c4(delta, cov, cor, invcor, nsnp)
double *delta;     
double **cov;     
double **cor;      
double **invcor;   
int nsnp;
{
  return(1.0);
} 

double c5(delta, cov, cor, invcor, nsnp)
double *delta;     
double **cov;     
double **cor;      
double **invcor;   
int nsnp;
{
  return(1.0);
} 

